Magick++ 6.9.6

Public Member Functions | List of all members
Magick::DrawableStrokeWidth Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableStrokeWidth:
[legend]
Collaboration diagram for Magick::DrawableStrokeWidth:
[legend]

## Public Member Functions
| DrawableStrokeWidth (double width_)
| ~DrawableStrokeWidth (void)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | width (double width_)
double | width (void) const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 1898 of file Drawable.h.

## Constructor & Destructor Documentation

Magick::DrawableStrokeWidth::DrawableStrokeWidth | ( | double | width_ | ) |
| inline

Definition at line 1901 of file Drawable.h.

Magick::DrawableStrokeWidth::~DrawableStrokeWidth | ( | void |  | ) |

Definition at line 1275 of file Drawable.cpp.

## Member Function Documentation

Magick::DrawableBase * Magick::DrawableStrokeWidth::copy | ( |  | ) | const
| virtual

Implements Magick::DrawableBase.

Definition at line 1283 of file Drawable.cpp.

void Magick::DrawableStrokeWidth::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Implements Magick::DrawableBase.

Definition at line 1279 of file Drawable.cpp.

void Magick::DrawableStrokeWidth::width | ( | double | width_ | ) |
| inline

Definition at line 1913 of file Drawable.h.

double Magick::DrawableStrokeWidth::width | ( | void |  | ) | const
| inline

Definition at line 1917 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp